set ORIG;	# origins
set DEST;	# destinations
set PROD;	# products

param prod_price {DEST,PROD} >=0;	# sales price for one car
param supply_max {ORIG,PROD} >= 0;   	# max capacity for one cartype
param demand {DEST,PROD} >= 0;   	# amounts required at destinations

   #check: sum {i in ORIG} supply[i] = sum {j in DEST} demand[j];

param make_cost {ORIG,PROD} >=0;
param trans_cost {PROD} >= 0;	# shipment costs per unit
param dist {ORIG,DEST} >= 0;		# distance between plant and market

var Trans {ORIG,DEST,PROD} >= 0;		# units to be shipped
var revenue;
var total_make_cost;
var total_trans_cost;

maximize profit:
	revenue - total_make_cost - total_trans_cost;

subject to Revenue:
	sum {i in ORIG,j in DEST,k in PROD} prod_price[j,k] * Trans[i,j,k]=revenue;

subject to Total_make_cost:
 	sum {i in ORIG,j in DEST,k in PROD} make_cost [i,k] * Trans[i,j,k]=total_make_cost;

subject to Total_trans_cost :
 	sum {i in ORIG,j in DEST,k in PROD} dist[i,j] * Trans[i,j,k]*trans_cost [k]=total_trans_cost;

subject to Supply {i in ORIG,k in PROD}:
   sum {j in DEST} Trans[i,j,k] <= supply_max[i,k];

subject to Demand {j in DEST,k in PROD}:
   sum {i in ORIG} Trans[i,j,k] <= demand[j,k];


