set ORIG;	# origins
set DEST;	# destinations

param supply {ORIG} >= 0;   # amounts available at origins
param demand {DEST} >= 0;   # amounts required at destinations

   check: sum {i in ORIG} supply[i] = sum {j in DEST} demand[j];

param dist {ORIG,DEST} >= 0; #distance 

var Trans {ORIG,DEST} >= 0;  #1000units to be shipped
var trans_cost = 1000; # pro 1000 Autos pro km

minimize total_cost:
   sum {i in ORIG, j in DEST} dist[i,j] * Trans[i,j]*trans_cost;


subject to Supply {i in ORIG}:
   sum {j in DEST} Trans[i,j] = supply[i];

subject to Demand {j in DEST}:
   sum {i in ORIG} Trans[i,j] = demand[j];


